package com.bonus.gs.sub.evaluate.manager.service;

import com.bonus.gs.sub.evaluate.manager.entity.LoginUser;
import com.bonus.gs.sub.evaluate.manager.entity.Token;

/**
 * Token管理器<br>
 * 可存储到redis或者数据库<br>
 * 具体可看实现类<br>
 */
public interface TokenService {

	Token saveToken(LoginUser loginUser);

	void refresh(LoginUser loginUser);

	LoginUser getLoginUser(String token);

	boolean deleteToken(String token);

}
